Mark Read
curl --request POST \
--url https://api.decodahealth.com/email/threads/{thread_id}/read \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/email/threads/{thread_id}/read"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/email/threads/{thread_id}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"threadId": "<string>",
"action": "<string>",
"newValue": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Comms
Mark Read
Mark a thread as read.
POST
/
email
/
threads
/
{thread_id}
/
read
Mark Read
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
⌘I
